Bug 121869 - system-config-kickstart fails to save file
system-config-kickstart fails to save file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-28 15:18 EDT by Laurie Reeves
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-30 11:38:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Laurie Reeves 2004-04-28 15:18:12 EDT
Description of problem:
system-config-kickstart fails to save file. See below.

Version-Release number of selected component (if applicable):
system-config-kickstart-2.5.8-1

How reproducible:
Always.

Steps to Reproduce:
1. Run:  system-config-kickstart --generate ks.cfg
2. Or run system-config-kickstart and try to save
  
Actual results:
GUI does nothing. Back trace is as follows:
Traceback (most recent call last):
  File
"/usr/share/system-config-kickstart/system-config-kickstart.py", line
57, in ?
    useCliMode(value)
  File
"/usr/share/system-config-kickstart/system-config-kickstart.py", line
42, in useCliMode
    profileSystem = profileSystem.ProfileSystem(data)
  File "/usr/share/system-config-kickstart/profileSystem.py", line 35,
in __init__
    self.getMouse()
  File "/usr/share/system-config-kickstart/profileSystem.py", line 57,
in getMouse
    lines = open('/etc/sysconfig/mouse', 'r').readlines()
IOError: [Errno 2] No such file or directory: '/etc/sysconfig/mouse'



Expected results:
Outout kickstart file.

Additional info:
Apon seeing the above backtrace, I get the bright idea to copy the
/etc/sysconfig/mouse file from another computer (happens to be RH9).
Then I get the following back trace:
Traceback (most recent call last):
  File
"/usr/share/system-config-kickstart/system-config-kickstart.py", line
57, in ?
    useCliMode(value)
  File
"/usr/share/system-config-kickstart/system-config-kickstart.py", line
42, in useCliMode
    profileSystem = profileSystem.ProfileSystem(data)
  File "/usr/share/system-config-kickstart/profileSystem.py", line 35,
in __init__
    self.getMouse()
  File "/usr/share/system-config-kickstart/profileSystem.py", line 68,
in getMouse
    a, b, c, d, protocol = mouseDict[model]
ValueError: unpack tuple of wrong size

The contents of my /etc/sysconfig/mouse is:
FULLNAME="Generic - 3 Button Mouse (USB)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"
Comment 1 Brent Fox 2004-04-30 11:38:00 EDT
Fixed in FC2 test 3.

Note You need to log in before you can comment on or make changes to this bug.